/**************************/
/** REXX:DECOMPRESS.REXX **/
/**************************/
/*     BY RICK TILLERY    */
/**************************/

/* ------------------------------------ */
/* | THIS SCRIPT RUNS WITH ADPRO 2.0. | */
/* ------------------------------------ */

/* See REXX:COMPRESS.REXX for details */

/* Instructions:  1. Unarc GIF files.                                   */
/*                2. Move input GIF files to a HD partition with at     */
/*                   least WIDTH x HEIGHT x 3 x 2 free bytes (i.e. 768  */
/*                   x 480 x 3 x 2 = 2,211,840 bytes)                   */
/*                3. Run ADPro 2.0                                      */
/*                4. Run this script                                    */
/*                5. Use ADPro requester to give name of RED input file */
/*                6. Use ADPro requester to give name of GREEN input    */
/*                7. Use ADPro requester to give name of BLUE input     */
/*                8. Use ADPro requester to give name of output file    */
/*                9. WAIT - this script with produce an IFF24 file      */

/* Portal:  RTillery  (RTillery@cup.portal.com) */



/* Open port to ADPro - it must be running first */
   ADDRESS "ADPro"
   
/* Turn on results flag to get data FROM ADPro... */
/* ...and set loader/saver formats */
   OPTIONS RESULTS
   LFORMAT "UNIVERSAL"
   SFORMAT "SCULPT"
   
/* Ask user for red GIF file to load */
   LOAD '"' || '"'

   LAST_LOADED_IMAGE
   FILE = ADPRO_RESULT
   
/* Get size of input file from ADPro */
   XSIZE
   WIDTH = ADPRO_RESULT
   YSIZE
   HEIGHT = ADPRO_RESULT
   
/* Save the raw image info in three separate red, green and blue files */
   SAVE FILE||'1.red' RAW

   ADDRESS "COMMAND"
   'DELETE' FILE||'1.(GRN|BLU)'
   
   ADDRESS "ADPro"
   LOAD '"' || '"'
   SAVE FILE||'2.red' RAW
   
   ADDRESS "COMMAND"
   'DELETE' FILE||'2.(RED|BLU)'
   
   ADDRESS "ADPro"
   LOAD '"' || '"'
   SAVE FILE||'3.red' RAW
   
   ADDRESS "COMMAND"
   'DELETE' FILE||'3.(RED|GRN)'
   'RENAME' FILE||'1.RED' FILE||'.red'
   'RENAME' FILE||'2.GRN' FILE||'.grn'
   'RENAME' FILE||'3.BLU' FILE||'.blu'
   
   ADDRESS "ADPro"
   LFORMAT "SCULPT"
   LOAD FILE||'.red' WIDTH HEIGHT COLOR
   
   ADDRESS "COMMAND"
   'DELETE' FILE||'.#?'
   
   ADDRESS "ADPro"
   SFORMAT "IFF"
   SAVE LEFT(FILE,LENGTH(FILE)-8) RAW
